%global         momorel 7

Name:           perl-HTTP-Message
Version:        6.06
Release:        %{momorel}m%{?dist}
Summary:        HTTP style message (base class)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Message/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/HTTP-Message-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008008
BuildRequires:  perl-Compress-Raw-Zlib
BuildRequires:  perl-Encode >= 2.12
BuildRequires:  perl-Encode-Locale >= 1
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Parser >= 3.33
BuildRequires:  perl-HTTP-Date >= 6
BuildRequires:  perl-IO-Compress
BuildRequires:  perl-IO-HTML
BuildRequires:  perl-LWP-MediaTypes >= 6
BuildRequires:  perl-MIME-Base64 >= 2.1
BuildRequires:  perl-URI >= 1.10
Requires:       perl-Compress-Raw-Zlib
Requires:       perl-Encode >= 2.12
Requires:       perl-Encode-Locale >= 1
Requires:       perl-HTML-Parser >= 3.33
Requires:       perl-HTTP-Date >= 6
Requires:       perl-IO-Compress
Requires:       perl-IO-HTML
Requires:       perl-LWP-MediaTypes >= 6
Requires:       perl-MIME-Base64 >= 2.1
Requires:       perl-URI >= 1.10
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Conflicts:      perl-libwww-perl < 6.00

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
An HTTP::Message object contains some headers and a content body. The
following methods are available:

%prep
%setup -q -n HTTP-Message-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/HTTP/Config.pm
%{perl_vendorlib}/HTTP/Headers.pm
%{perl_vendorlib}/HTTP/Headers
%{perl_vendorlib}/HTTP/Message.pm
%{perl_vendorlib}/HTTP/Request.pm
%{perl_vendorlib}/HTTP/Request
%{perl_vendorlib}/HTTP/Response.pm
%{perl_vendorlib}/HTTP/Status.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-7m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-6m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-2m)
- rebuild against perl-5.16.2

* Sun Oct 21 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-1m)
- update to 6.06

* Sat Oct 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.05-1m)
- update to 6.05

* Tue Oct  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.04-1m)
- update to 6.04

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-1m)
- update to 6.03

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.02-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.02-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.02-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (6.02-2m)
- rebuild for new GCC 4.6

* Mon Mar 21 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.02-1m)
- update to 6.02

* Wed Mar 09 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.01-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
